### File

`src/app/shared/components/dumb-component.ts`

### Description

empty component

### Extends

`DumbParentComponent`

### Metadata

selector | `cp-dumb`

template

    dumb component

### Index

###### Properties

- Private _emptyAccessor
- _todo
- emptyHostBinding
- emptyProperty
- color
- Public parentProperty

###### Methods

- emptyHostListener
- emptyMethod
- onMouseup

###### Inputs

- emptyInput
- parentInput

###### Outputs

- emptyOutput
- parentoutput

###### HostBindings

- style.color

###### HostListeners

- mouseup

###### Accessors

- emptyAccessor
- visibleTodos

### Inputs

emptyInput
Type : `string`
Defined in src/app/shared/components/dumb-component.ts:27

parentInput
Type : `string`
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:7`

### Outputs

emptyOutput
Type : `string`
Defined in src/app/shared/components/dumb-component.ts:33
component output

parentoutput
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:9`

### HostBindings

Type : `string`
Defined in src/app/shared/components/dumb-component.ts:52

style.color
Type : `string`
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:17`
HostBinding description

### HostListeners

`()`
Defined in src/app/shared/components/dumb-component.ts:59

component hostListener

Example :

    component hostListener

mouseup
`mouseup()`
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:20`

### Methods

emptyHostListener
`emptyHostListener()`
Decorators : `@HostListener('')`
Defined in src/app/shared/components/dumb-component.ts:59

component hostListener

Example :

    component hostListener

Returns : `void`

emptyMethod
`emptyMethod(emptyParam: string)`
Defined in src/app/shared/components/dumb-component.ts:65

Parameters :

Name | Type | Optional | Description
emptyParam | `string` | No | component method param

Returns : `string`

component method return

onMouseup
`onMouseup()`
Decorators : `@HostListener('mouseup')`
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:20`
Returns : `void`

### Properties

Private _emptyAccessor
Type : `string`
Default value : `''`
Defined in src/app/shared/components/dumb-component.ts:45

_todo
Defined in src/app/shared/components/dumb-component.ts:21

emptyHostBinding
Type : `string`
Decorators : `@HostBinding('')`
Defined in src/app/shared/components/dumb-component.ts:52
component hostBinding

emptyProperty
Type : `string`
Default value : `''`
Defined in src/app/shared/components/dumb-component.ts:19
component property

color
Type : `string`
Decorators : `@HostBinding('style.color')`
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:17`
HostBinding description

Public parentProperty
Inherited from `DumbParentComponent`
Defined in `DumbParentComponent:11`

### Accessors

emptyAccessor
get `emptyAccessor()`
Defined in src/app/shared/components/dumb-component.ts:39

component accessor

Example :

    component accessor

set `emptyAccessor(val)`
Defined in src/app/shared/components/dumb-component.ts:42

Parameters :

Name | Optional
val | No

Returns : `void`

visibleTodos
set `visibleTodos(value: Todo)`
Defined in src/app/shared/components/dumb-component.ts:72

Parameters :

Name | Type | Optional
value | `Todo` | No

Returns : `void`

    import { Component, Input, Output, HostBinding, HostListener } from '@angular/core';
    import { Todo } from '../models/todo.model';

    import { DumbParentComponent } from './dumb-parent-component';

    /**
     * @example
     * empty component
     */
    @Component({
        selector: 'cp-dumb',
        template: 'dumb component'
    })
    export class DumbComponent extends DumbParentComponent {
        /**
         * @example
         * component property
         */
        emptyProperty = '';

        _todo;

        /**
         * @example
         * component input
         */
        @Input() public emptyInput: string;

        /**
         * @example
         * component output
         */
        @Output() public emptyOutput: string;

        /**
         * @example
         * component accessor
         */
        get emptyAccessor() {
            return this._emptyAccessor;
        }
        set emptyAccessor(val) {
            this._emptyAccessor = val;
        }
        private _emptyAccessor = '';

        /**
         * @example
         * component hostBinding
         */
        @HostBinding('')
        emptyHostBinding: string;

        /**
         * @example
         * component hostListener
         */
        @HostListener('')
        emptyHostListener() {}

        /**
         * @param emptyParam component method param
         * @returns component method return
         */
        emptyMethod(emptyParam: string) {
            return emptyParam;
        }

        /**
         * @param {VisibleLayer} value
         */
        set visibleTodos(value: Todo) {
            this._todo = value;
        }
    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""